Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128664

Description of problem:

association of subnet, domain, templates and resources to organization has no effect via CLI.

Looks like there is no error message even via verbose and also in /var/log/foreman/production.log

a) resources

hammer -u admin -p changeme -v organization add-compute-resource --id=1 --compute-resource-id=$COMPUTERESOURCEID

b) subnet

hammer -u admin -p changeme -v organization add-subnet --id=1 --subnet-id=$SUBNETID

c) domain

hammer -u admin -p changeme -v organization add-domain --id=1 --domain-id=$DOMAINID

d) template

hammer -u admin -p changeme -v organization add-config-template --id=1 --config-template-id=$id

Version-Release number of selected component (if applicable):

sat6-GA-snap4

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Association of subnet, domain, templates and resources seem to fail

Expected results:

Association of the above said entites must be successful.

Additional info:

Related issues:

Has duplicate Hammer CLI - Bug #4295: hammer organization add_domain fails si... Duplicate 02/07/2014

Has duplicate Hammer CLI - Bug #5076: Associate a compute resource with an or... Duplicate 04/04/2014

Has duplicate Foreman - Bug #4695: cannot add environment to organization Duplicate 03/18/2014

Associated revisions
Revision ce690b76 - 08/27/2014 11:28 AM - Tomáš Strachota

Fixes #7028 - completing api docs for taxonomies

Revision 2dcaff38 - 08/27/2014 11:35 AM - Dominic Cleal

refs #7028 - min apipie-rails for concerns fix

Revision 6b2c4397 - 08/28/2014 09:58 AM - Tomáš Strachota

Fixes #7028 - completing api docs for taxonomies

(cherry picked from commit ce690b76c112fc50af8681a655b1f904d345afd2)

History

#1 - 08/12/2014 03:44 AM - Dominic Cleal

- Project changed from Foreman to Hammer CLI

- Category set to 74

Seems to be working for me on Foreman - from foreman-debug:

Processing by Katello::Api::V2::OrganizationsController#update as application/json;version=2

Parameters: {"domain_ids"=>["2"], "api_version"=>"v2", "id"=>"1", "organization"=>{}}

On my system:

Started PUT "/api/organizations/1" for 127.0.0.1 at 2014-08-12 08:40:16 +0100

Processing by Api::V2::OrganizationsController#update as JSON

Parameters: {"organization"=>{"domain_ids"=>["1"]}, "apiv"=>"v2", "id"=>"1"}

Maybe the lack of nesting of domain_ids is causing a problem (that's CLI side for me).

#2 - 08/19/2014 07:47 AM - Tomáš Strachota

- Status changed from New to Assigned

- Target version set to 1.7.5

#3 - 08/20/2014 06:51 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#4 - 08/20/2014 07:22 AM - Tomáš Strachota

- Has duplicate Bug #4295: hammer organization add_domain fails silently added

#5 - 08/20/2014 11:26 AM - Tomáš Strachota

- Has duplicate Bug #5076: Associate a compute resource with an org is not working added

#6 - 08/22/2014 08:20 AM - Tomáš Strachota

This turned out to be a complicated one. CLI builds the action params according to the api documentation which was partially missing for Katello's

organization controller due to it inherits from Foreman's one. Apipie has limited means of docs inheritance. After discussion with inecas I decided to

solve it by using param groups. Unfortunately there's a bug in apipie in renaming concern params (used by taxonomies).

Proper fix requires patches to all apipie, foreman and katello. 3 PRs will follow.

#7 - 08/22/2014 08:27 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1707 added

- Pull request deleted ()

#8 - 08/22/2014 08:29 AM - Tomáš Strachota

- Pull request https://github.com/Katello/katello/pull/4603 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1707)

https://github.com/Apipie/apipie-rails/pull/280

https://github.com/theforeman/foreman/pull/1707
https://github.com/Katello/katello/pull/4603

#9 - 08/26/2014 10:41 AM - Dominic Cleal

- Has duplicate Bug #4695: cannot add environment to organization added

#10 - 08/27/2014 11:33 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#11 - 08/27/2014 11:33 AM - Dominic Cleal

- Project changed from Hammer CLI to Foreman

- Category changed from 74 to API

#12 - 08/27/2014 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ce690b76c112fc50af8681a655b1f904d345afd2.
